Package tigase.server

# Enum Class Permissions

java.lang.Object
java.lang.Enum<Permissions>
tigase.server.Permissions

All Implemented Interfaces:
  `Serializable`, `Comparable<Permissions>`, `Constable`

public enum Permissions extends Enum<Permissions>
Describe class Permissions here.
Created: Tue Jan 23 22:52:45 2007

Author:
  Artur Hefczyc

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADMIN`
  `ANONYM`
  `AUTH`
  `LOCAL`
  `NONE`
  `REMOTE`
  `TRUSTED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Permissions`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Permissions[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final Permissions NONE

  - ### ANONYM

    public static final Permissions ANONYM

  - ### REMOTE

    public static final Permissions REMOTE

  - ### LOCAL

    public static final Permissions LOCAL

  - ### AUTH

    public static final Permissions AUTH

  - ### TRUSTED

    public static final Permissions TRUSTED

  - ### ADMIN

    public static final Permissions ADMIN

- ## Method Details

  - ### values

    public static Permissions[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Permissions valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null